<?php

/**
 * @file
 * Admin settings page for module.
 */

/**
 * Settings page for module.
 */
function google_loader_admin_settings() {
  // set default jQuery UI version
  $jquery_ui_version = '1.8.x';

  // check if jQuery UI module exists
  if (module_exists('jquery_ui')) {
    // get jQuery UI version from jQuery UI module
    $jquery_ui_version = jquery_ui_get_version();

    // force load jQuery UI from google
    $jquery_ui_load = TRUE;
  }

  $form['settings'] = array(
    '#type' => 'fieldset',
    '#title' => t('Libraries to Load'),
    '#collapsible' => FALSE
  );

  $form['settings']['google_loader_chrome-frame'] = array(
    '#type' => 'checkbox',
    '#title' => 'Chrome Frame (1.x)',
    '#default_value' => variable_get('google_loader_chrome-frame', NULL),
  );

  $form['settings']['google_loader_dojo'] = array(
    '#type' => 'checkbox',
    '#title' => 'Dojo (1.6.x)',
    '#default_value' => variable_get('google_loader_dojo', NULL),
  );

  $form['settings']['google_loader_ext-core'] = array(
    '#type' => 'checkbox',
    '#title' => 'Ext Core (3.1.x)',
    '#default_value' => variable_get('google_loader_ext-core', NULL),
  );

  $form['settings']['google_loader_jquery'] = array(
    '#type' => 'checkbox',
    '#title' => 'jQuery (' . variable_get('google_loader_jquery_version', '1.2.6') . ')',
    '#default_value' => 1,
    '#disabled' => TRUE
  );

  $form['settings']['google_loader_jqueryui'] = array(
    '#type' => 'checkbox',
    '#title' => 'jQuery UI (' . $jquery_ui_version . ')',
    '#default_value' => $jquery_ui_load || variable_get('google_loader_jqueryui', NULL),
    '#disabled' => $jquery_ui_load
  );

  $form['settings']['google_loader_mootools'] = array(
    '#type' => 'checkbox',
    '#title' => 'MooTools (1.3.x)',
    '#default_value' => variable_get('google_loader_mootools', NULL),
  );

  $form['settings']['google_loader_prototype'] = array(
    '#type' => 'checkbox',
    '#title' => 'Prototype (1.7.x)',
    '#default_value' => variable_get('google_loader_prototype', NULL),
  );

  $form['settings']['google_loader_scriptaculous'] = array(
    '#type' => 'checkbox',
    '#title' => 'script.aculo.us (1.8.x)',
    '#default_value' => variable_get('google_loader_scriptaculous', NULL),
  );

  $form['settings']['google_loader_swfobject'] = array(
    '#type' => 'checkbox',
    '#title' => 'SWFObject (2.x)',
    '#default_value' => variable_get('google_loader_swfobject', NULL),
  );

  $form['settings']['google_loader_yui'] = array(
    '#type' => 'checkbox',
    '#title' => 'Yahoo! User Interface Library (3.3.x)',
    '#default_value' => variable_get('google_loader_yui', NULL),
  );

  $form['settings']['google_loader_webfont'] = array(
    '#type' => 'checkbox',
    '#title' => 'WebFont Loader (1.x)',
    '#default_value' => variable_get('google_loader_webfont', NULL),
  );

  return system_settings_form($form);
}
